import { type BaseManifest } from '@pnpm/types';
export interface Package {
    manifest: BaseManifest;
    dir: string;
}
export interface PackageNode<T> {
    package: Package & T;
    dependencies: string[];
}
export declare function createPkgGraph<T>(pkgs: Array<Package & T>, opts?: {
    ignoreDevDeps?: boolean;
    linkWorkspacePackages?: boolean;
}): {
    graph: Record<string, PackageNode<T>>;
    unmatched: Array<{
        pkgName: string;
        range: string;
    }>;
};
